<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout
    xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:descendantFocusability="blocksDescendants"
    android:background="@color/dynamic_white">

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/recommend_dynamic_rcv"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:overScrollMode="never"
        android:visibility="visible"/>

    <androidx.core.widget.NestedScrollView
        android:id="@+id/trend_no_data_rel"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:visibility="gone">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:gravity="center"
            android:orientation="vertical">

            <ImageView
                android:id="@+id/trend_no_data_iv"
                android:layout_width="100dp"
                android:layout_height="100dp"
                android:layout_marginTop="30dp"
                android:layout_centerHorizontal="true"
                android:src="@drawable/dynamic_blank"/>

            <TextView
                android:id="@+id/trend_no_data_tv"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="15dp"
                android:text="暂无数据"
                android:textColor="@color/dynamic_text_gray"
                android:textSize="16sp"/>

        </LinearLayout>

    </androidx.core.widget.NestedScrollView>
</RelativeLayout>
